# Method: projects.locations.instances.create

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/create#try-it)

Creates a new Instance in a given location.

### HTTP request

`POST https://memcache.googleapis.com/v1/{parent=projects/*/locations/*}/instances`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the instance location using the form: `projects/{projectId}/locations/{locationId}` where `locationId` refers to a GCP region |

### Query parameters

| Parameters ||
|---|---|
| `instanceId` | `string` Required. The logical name of the Memcached instance in the user project with the following restrictions: - Must contain only lowercase letters, numbers, and hyphens. - Must start with a letter. - Must be between 1-40 characters. - Must end with a number or a letter. - Must be unique within the user project / location. If any of the above are not met, the API raises an invalid argument error. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances#Instance`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).